Class | PhusionPassenger::InitializationError
In: | lib/phusion_passenger/exceptions.rb
Parent: | StandardError

An abstract base class for AppInitError and FrameworkInitError. This represents the failure when initializing something.

### Methods

new

### Attributes

child_exception | [RW] | The exception that caused initialization to fail. This may be nil.

### Public Class methods

new(message, child_exception = nil)

Create a new InitializationError. `message` is the error message, and `child_exception` is the exception that caused initialization to fail.

[Source]

        # File lib/phusion_passenger/exceptions.rb, line 48
    48:         def initialize(message, child_exception = nil)
    49:                 super(message)
    50:                 @child_exception = child_exception
    51:         end

[Validate]